
c     Variables:

      integer no_var_name, no_level_name
      parameter (no_var_name= 12, no_level_name= 4)

c     Short names:
      character*10 var_name(no_var_name)
      data var_name /           'lon',   'lat',    'time',
     >                'level',  'temp',  'temp_K', 'rough',
     >                'cldcvr', 'thck',  'u',      'v',
     >		      'topo' /

      integer var_name_length(no_var_name)
      data var_name_length /     3,       3,        4,
     >                 5,        4,       6,        5,
     >                 6,        1,       1,        4,
     >		       4 /

c     Long names:
      character*40 var_long_name(no_var_name)
      data var_long_name /
     >     'Longitude',                'Latitude',
     >     'Time',                     ' ',
     >     'Temperature',              'Temperature (Kelvin)',
     >     'Surface roughness',        'Mean cloud cover',
     >     'Layer thickness',          'Wind-x',
     >     'Wind-y',                   'Topography'
     >     /

c     Units:
      character*20 var_unit(no_var_name)
      data var_unit /
     >     'degrees_east',             'degrees_north',
     >     ' ',                        ' ',
     >     'deg. Celsius',             'deg. Kelvin',
     >     'm',                        'none',
     >     'm',                        'm/s',
     >     'm/s',                      'm'
     >     /


c     Long level names:
      character*40 var_level_name(no_level_name)
      data var_level_name / 'Vertical levels: Layers',
     >                      'Vertical levels: z (surface: 0)',
     >                      'Vertical levels: sigma (positive)',
     >                      'Vertical levels: sigma (negative)' /


c     Level units:
      character*10 level_unit(no_level_name)
      data level_unit / 'none', 'm', 'none', 'none' /


c     Dimensions:
c      0 - set elsewhere
c      1 - nx (longitude)
c      2 - ny (latitude)
c      3 - nz
c      4 - N/A
c      5 - nt
c      6 - nx, ny
c      7 - nx, ny, nt
c      8 - nx, ny, nz, nt
      integer var_dimension(no_var_name)
      data var_dimension / 0, 0, 5, 3, 8, 8, 7, 7, 8, 8, 8, 7 /

