F77 = /usr/local/bin/f77

.f.o:
	$(F77) -c -I$(inc_path) $*.f

inc_path=/usr/include

write_met_header:\
 write_met_header.o write_all_nc_met_headers.o write_one_nc_met_header.o\
 write_nc_met_attrib.o nc_errors.o strings.o add_nc_met_climate.o
	$(F77) -o write_met_header write_met_header.o\
 write_all_nc_met_headers.o write_one_nc_met_header.o\
 write_nc_met_attrib.o nc_errors.o strings.o add_nc_met_climate.o\
 /usr/lib/libnetcdf.a

write_header_met.o:		write_header_met.f		id_met.inc
write_all_nc_met_headers.o:	write_all_nc_met_headers.f	id_met.inc	specs_met.inc
write_one_nc_met_header.o:	write_one_nc_met_header.f	id_met.inc	specs_met.inc	name_met.inc	err_codes.inc
write_nc_met_attrib.o:		write_nc_met_attrib.f		id_met.inc	err_codes.inc	missing_values.inc
nc_errors.o:			nc_errors.f
strings.o:			strings.f
add_nc_met_climate.o:		add_nc_met_climate.f		id_met.inc	name_met.inc	stats_texts.inc		err_codes.inc
